'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true,
});

var _textlintRuleHelper = require('textlint-rule-helper');

var _writeGood = require('write-good');

var _writeGood2 = _interopRequireDefault(_writeGood);

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}

function reporter(context, options = {}) {
  const Syntax = context.Syntax,
    getSource = context.getSource,
    report = context.report,
    RuleError = context.RuleError;

  const helper = new _textlintRuleHelper.RuleHelper(context);

  return {
    [Syntax.Str](node) {
      if (helper.isChildNode(node, [Syntax.BlockQuote])) {
        return;
      }

      const text = getSource(node);
      const suggestions = (0, _writeGood2.default)(text, options);

      suggestions.forEach((suggestion) => {
        const index = suggestion.index,
          message = suggestion.reason;

        report(node, new RuleError(message, { index }));
      });
    },
  };
}

exports.default = {
  linter: reporter,
  fixer: reporter,
};
//# sourceMappingURL=write-good.js.map
